The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Missing Language Key+Cache Issue

Discussion in 'General Discussion' started by pantherqs, Jul 18, 2007.

  1. pantherqs

    pantherqs Member

    Joined:
    Aug 21, 2004
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Howdy, just upgraded to the latest version and I'm getting Missing Language Key messages on every Cpanel theme.

    Also, running /usr/local/cpanel/bin/cachelangfiles produces the following error message
    Code:
    root@phlow [/var/cpanel]# /usr/local/cpanel/bin/cachelangfiles
    Can't locate Class/Std.pm in @INC (@INC contains: /usr/local/cpanel /usr/lib/perl5/5.8.0/i386-linux-thread-multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .) at /usr/local/cpanel/Cpanel/Lang/Cache/Utils.pm line 12.
    BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/Lang/Cache/Utils.pm line 12.
    Compilation failed in require at (eval 1) line 3.
            ...propagated at /usr/lib/perl5/5.8.0/base.pm line 64.
    BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/Lang/Cache/Utils/Cachelangfiles.pm line 14.
    Compilation failed in require at /usr/local/cpanel/bin/cachelangfiles line 11.
    BEGIN failed--compilation aborted at /usr/local/cpanel/bin/cachelangfiles line 11.
    root@phlow [/var/cpanel]#
    
    Any clue's as to what might be wrong?

    Thanks ;)
     
  2. pantherqs

    pantherqs Member

    Joined:
    Aug 21, 2004
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    I apologize for the disturbance, all my problems have been fixed by upgrade to perl 5.8.8 as per release notes. :)
     
Loading...

Share This Page